//-------------------------------------------------------------------
// 1sec ƂportD.bit7 ]
// 3sec ƂportD.bit6 ]
//  for ATMEGA}CR{[h  by Takuya Matsubara
//-------------------------------------------------------------------
#include <avr/io.h>

#define F_CPU    8000000     // CPUNbNg [Hz]

#define PRESCALE   8         // vXP[l
#define PRESCALER  2         // vXP[WX^l

#define CNTMAX   ((F_CPU/PRESCALE)/(1000000/1000))

//------------------------------------------------------------------
int main(void)
{
    int msec=0;
    int msec2=0;

    TCCR1A = 0;               // ^C}1 [h 
    TCCR1B = PRESCALER;       // ^C}1 vXP[ݒ

    DDRD |= 0xf0;

    while(1){
        while(TCNT1 < CNTMAX);   // 
		TCNT1 = 0;

        msec++;
        msec2++;
		if(msec > 1000){	//1bo
	        msec=0;
			PORTD ^= 0x80;
		}
		if(msec2 > 3000){	//3bo
	        msec2=0;
			PORTD ^= 0x40;
		}
    }
}
